#!/bin/bash
CSV_FILE="$1"

if [ -z "$CSV_FILE" ] ; then
	echo No CSV file supplied... Exiting
	exit 1
fi

cat $CSV_FILE | grep -v '^#' | while read line ; do
	MAIL=`echo $line | awk -F';' '{ print $1 }'`
	USERNAME="$MAIL"
	PASSWORD=`echo $line | awk -F';' '{ print $3 }'`
	FULL_NAME=`echo $line | awk -F';' '{ print $2 }'`


	if kopano-cli --user=$USERNAME > /dev/null 2>&1 ; then
		echo $USERNAME already exist
	else
		TEMP_SH=`mktemp /tmp/create_mailbox.XXXX`
		cat > $TEMP_SH << EOF
#!/bin/sh
echo creating $USERNAME
/usr/sbin/kopano-cli --create \
--user '$USERNAME' \
--password '$PASSWORD' \
--email '$MAIL' \
--fullname '$FULL_NAME' \
--admin-level 0 \
--lang '$LANG'
EOF
		sh $TEMP_SH && rm $TEMP_SH
	fi
done
